# Uses of Enum Class
org.bukkit.event.block.BlockIgniteEvent.IgniteCause

Packages that use BlockIgniteEvent.IgniteCause
Package
Description
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.

## Uses of BlockIgniteEvent.IgniteCause in org.bukkit.event.block

Methods in org.bukkit.event.block that return BlockIgniteEvent.IgniteCause
Modifier and Type
Method
Description
`@NotNull BlockIgniteEvent.IgniteCause`
BlockIgniteEvent.`getCause()`
Gets the cause of block ignite.
`static BlockIgniteEvent.IgniteCause`
BlockIgniteEvent.IgniteCause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlockIgniteEvent.IgniteCause[]`
BlockIgniteEvent.IgniteCause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.block with parameters of type BlockIgniteEvent.IgniteCause
Modifier
Constructor
Description
``
`BlockIgniteEvent(@NotNull Block theBlock, @NotNull BlockIgniteEvent.IgniteCause cause, @NotNull Block ignitingBlock)`
``
`BlockIgniteEvent(@NotNull Block theBlock, @NotNull BlockIgniteEvent.IgniteCause cause, @Nullable Entity ignitingEntity)`
``
`BlockIgniteEvent(@NotNull Block theBlock, @NotNull BlockIgniteEvent.IgniteCause cause, @Nullable Entity ignitingEntity, @Nullable Block ignitingBlock)`